<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Список сайтов</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css"
          rel="stylesheet"
          integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We"
          crossorigin="anonymous">
<!--    <script src="/webjars/bootstrap/5.1.0/js/bootstrap.bundle.min.js"></script>-->
</head>

<section layout:fragment="content">
    <body class="d-flex flex-column min-vh-100">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="/">Анализатор страниц</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <div class="navbar-nav">
                    <a class="nav-link" href="/">Главная</a>
                    <a class="nav-link" href="/urls">Сайты</a>
                </div>
            </div>
        </div>
    </nav>
    <div class="container mt-3">
        <div th:if="${session.flash}" class="alert alert-info" role="alert" th:text="${session.flash}"></div>
        <div th:if="${session.flash}" th:text="${#session.removeAttribute('flash')}"></div>
    </div>
    <div class="container-lg mt-5">
        <table class="table table-bordered table-hover mt-3">
            <thead>
            <tr>
                <th class="col-1">ID</th>
                <th>Имя</th>
                <th class="col-2">Последняя проверка</th>
                <th class="col-1">Код ответа</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="url : ${urls}" th:object="${url}">
                <td th:text="*{id}"></td>
                <td>
                    <a th:text="*{getName()}" th:href="@{/urls/{id}(id=*{getId()})}"></a>
                </td>
                <td th:text="${#dates.format(url.getUrlCheck().get(url.getUrlCheck().size - 1).getCreatedAt(), 'dd/MM/yyyy HH:mm')}"
                    th:if="${not url.getUrlCheck().isEmpty()}">
                </td>
                <td th:text="*{getUrlCheck().get(getUrlCheck().size - 1).getStatusCode()}"
                    th:if="${not url.getUrlCheck().isEmpty()}">???
                </td>
            </tr>
        </table>
    </div>
    <div class="container">
        <nav>
            <ul class="pagination justify-content-center">
                <li class="page-item">
                    <a class="page-link" th:href="@{/urls(page=(${page < 2}) ? 1 : (${page - 1}))}">Prev</a>
                </li>
                <li class="page-item">
                    <a class="page-link" th:href="@{/urls(page=${page + 1})}">Next</a>
                </li>
            </ul>
        </nav>
    </div>
</section>